## keyman 15.0.228

=== debian/changelog ===
keyman (15.0.228-2) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 07 Apr 2022 17:45:15 +0200

keyman (15.0.213-1) unstable; urgency=medium

  * Consolidate source packages
    Closes: #1007123
  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 16 Mar 2022 11:15:54 +0100

keyman-config (14.0.287-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 11 Mar 2022 12:32:34 +0100

keyman-config (14.0.284-3) unstable; urgency=medium

  * Team upload
  * No-change rebuild against python-requests-cache 0.9.1-1
    - The build of keyman-config 14.0.284-1 failed. Hopefully we'll be
      more lucky this time.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 19 Jan 2022 12:50:32 +0100

keyman-config (14.0.284-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 14 Jan 2022 18:00:21 +0100

keyman-config (14.0.283-2) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 02 Dec 2021 12:02:35 +0100

keyman-config (14.0.282-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 29 Sep 2021 12:47:28 +0200

keyman-config (14.0.280-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 23 Aug 2021 17:38:22 +0200

keyman-config (14.0.276-2) experimental; urgency=medium

  * Team upload
  * Add libglib2.0-bin to keyman Depends (closes: #990226)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 23 Jun 2021 15:28:27 +0200

keyman-config (14.0.276-1) experimental; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 11 Jun 2021 14:43:46 +0200

keyman-config (14.0.273-1) experimental; urgency=medium

  * Keyman 14

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 26 Apr 2021 18:24:41 +0200

keyman-config (11.0.103-3) unstable; urgency=medium

  * Update maintainer to Debian Input Method Team

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 Jan 2019 17:35:50 +0700

keyman-config (11.0.103-2) unstable; urgency=medium

  * add appstream file com.keyman.config.appdata.xml

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 Jan 2019 17:15:09 +0700

keyman-config (11.0.103-1) unstable; urgency=medium

  * New upstream beta
  * fix download window problem
  * d/keyman.install icons for km-config application and .kmp files
       fixes appstream hints error reported on tracker
  * add d/keyman.sharedmimeinfo for .kmp files

 -- Daniel Glassey <wdg@debian.org>  Fri, 04 Jan 2019 15:39:51 +0700

keyman-config (11.0.101-1) unstable; urgency=medium

  * New upstream Keyman for Linux 11.0 beta 1
  * d/control standards 4.3.0 no changes
  * remove d/p missing_files.patch as files are in next upstream
  * d/watch update for beta/stable

 -- Daniel Glassey <wdg@debian.org>  Fri, 04 Jan 2019 01:26:45 +0700

keyman-config (10.99.69-2) unstable; urgency=medium

  * d/p/missing_files.patch: files missing from released source

 -- Daniel Glassey <wdg@debian.org>  Sat, 22 Dec 2018 21:56:13 +0700

keyman-config (10.99.69-1) unstable; urgency=medium

  * New upstream pre-release
  * Linux part of website is active to get keyboards for Linux
      in download window
  * uses website search API to find list of keyboards for
      bash completion in cl tools
  * installs keyboards into IBus when you install them
  * d/control change to section utils, Closes: #916350
  * remove webkit->webkit2 patch merged upstream

 -- Daniel Glassey <wdg@debian.org>  Thu, 20 Dec 2018 09:44:44 +0700

keyman-config (10.99.33-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5
    * and updated
  * Initial upload to Debian, Closes: #914781
  * d/patches patch from upstream git to move to WebKit2

 -- Daniel Glassey <wdg@debian.org>  Tue, 27 Nov 2018 15:56:13 +0700

## keyman 15.0.235

=== debian/changelog ===
keyman (15.0.235-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 19 Apr 2022 19:08:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DH_OPTIONS = -v
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=keyman-config
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/keyman-config/

# xenial needs this to be explicit
export LC_ALL=C.UTF-8

# Unfortunately dh-python 3.20180325 (bionic) doesn't provide the virtual dh-sequence-python3
# package, so we'll have to pass --with-python3 here
%:
	dh $@ --with-python3

override_dh_auto_configure:
	# keymankeyboardprocessor
	cd common/core/desktop && \
		./build.sh configure -- --wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc \
			--localstatedir=/var --libdir=lib/$(DEB_TARGET_MULTIARCH) \
			--libexecdir=lib/$(DEB_TARGET_MULTIARCH)
	# ibus-keyman
	cd linux/ibus-keyman && \
		cp -f ../../VERSION.md VERSION && \
		export KEYMAN_PROC_CFLAGS="-I$(CURDIR)/common/core/desktop/build/arch/release/include -I$(CURDIR)/common/core/desktop/include" && \
		export KEYMAN_PROC_LIBS="-L$(CURDIR)/common/core/desktop/build/arch/release/src -lkmnkbp0" && \
		export PKG_CONFIG_PATH=$(CURDIR)/common/core/desktop/build/arch/release/meson-private && \
		./autogen.sh && \
		./configure --prefix=/usr
	# keyman-config

override_dh_auto_build:
	# keymankeyboardprocessor
	cd common/core/desktop && ./build.sh build
	# ibus-keyman
	cd linux/ibus-keyman && make
	# keyman-config
	cd linux/keyman-config && \
		make man && \
		sed -i -e "s/^__pkgversion__ = \"[^\"]*\"/__pkgversion__ = \"$(DEB_VERSION)\"/g" keyman_config/version.py && \
		make compile-po
	dh_auto_build --sourcedir=linux/keyman-config --buildsystem=pybuild $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# keymankeyboardprocessor
	cd common/core/desktop && ./build.sh tests
	# ibus-keyman
	cd linux/ibus-keyman && make check VERBOSE=1
	# keyman-config
	dh_auto_test --sourcedir=linux/keyman-config --buildsystem=pybuild $@
endif

override_dh_auto_install:
	# keymankeyboardprocessor
	install -d $(CURDIR)/debian/tmp
	cd common/core/desktop && DESTDIR=$(CURDIR)/debian/tmp ./build.sh install
	# ibus-keyman
	cd linux/ibus-keyman && make install DESTDIR=$(CURDIR)/debian/tmp
	# keyman-config
	install -d $(CURDIR)/debian/keyman/usr/share/
	cp -r linux/keyman-config/locale/ $(CURDIR)/debian/keyman/usr/share/
	rm $(CURDIR)/debian/keyman/usr/share/locale/*.po*
	dh_auto_install --sourcedir=linux/keyman-config --buildsystem=pybuild $@
	# Unfortunately bash-completion 2.10 (focal) doesn't yet provide dh-sequence-bash-completion,
	# which we could add as build-dependency, so we'll have to explicitly call
	# dh_bash_completion here...
	dh_bash-completion -O--buildsystem=pybuild
	dh_python3 -O--buildsystem=pybuild

override_dh_missing:
	dh_missing --fail-missing

## keyman 15.0.260

=== debian/changelog ===
keyman (15.0.260-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 15 Jun 2022 10:55:17 +0200

## keyman 15.0.267

=== debian/changelog ===
keyman (15.0.267-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 26 Jul 2022 10:38:41 +0200

keyman (15.0.266-2) unstable; urgency=high

  * Team upload.
  * debian/patches/0001-fix-common-Fix-delete.patch: Apply upstream
    trunk patch to fix FTBFS with GCC 12. (Closes: #1012958)

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jul 2022 01:07:36 -0400

keyman (15.0.266-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 12 Jul 2022 16:51:32 +0200

## keyman 15.0.269

=== linux/keyman-config/Makefile ===
#!/usr/bin/make

default: clean version man langtags
	python3 setup.py build

langtags:
	cd buildtools && python3 ./build-langtags.py

install: # run as sudo
	pip3 install qrcode sentry-sdk
	python3 setup.py install
	# install icons
	mkdir -p /usr/local/share/keyman/icons
	cp keyman_config/icons/* /usr/local/share/keyman/icons
	# install man pages
	mkdir -p /usr/local/share/man/man1
	cp debian/man/*.1 /usr/local/share/man/man1

install-temp:
	mkdir -p /tmp/kmfl/`python3 -c 'import sys;import os;pythonver="python%d.%d" % (sys.version_info[0], sys.version_info[1]);sitedir = os.path.join("lib", pythonver, "site-packages");print(sitedir)'`
	PYTHONUSERBASE=/tmp/kmfl python3 setup.py install --user

uninstall: clean # run as sudo
	rm -rf /usr/local/share/keyman/icons
	rm -f /usr/local/share/man/man1/km-*.1
	pip3 uninstall keyman_config
	rm -f /usr/local/bin/km-config
	rm -f /usr/local/bin/km-kvk2ldml
	rm -f /usr/local/bin/km-package-get
	rm -f /usr/local/bin/km-package-install
	rm -f /usr/local/bin/km-package-list-installed
	rm -f /usr/local/bin/km-package-uninstall

clean:
	-rm -rf dist make_deb build keyman_config/version.py *.egg-info __pycache__ \
		keyman_config/standards/lang_tags_map.py

devdist: version
	python3 setup.py egg_info -b.`TZ=UTC git log -1 --pretty=format:%cd --date=format-local:%Y%m%d%H%M` sdist

dist: clean version
	python3 setup.py sdist

deb: dist
	@VERSION=$(shell echo `basename dist/*.gz .tar.gz|cut -d "-" -f2` > /tmp/keyman_version)
	@echo VERSION is $(shell cat /tmp/keyman_version)
	@mkdir -p make_deb
	cd make_deb && tar xf ../dist/keyman_config-$(shell cat /tmp/keyman_version).tar.gz && \
		mv keyman_config-$(shell cat /tmp/keyman_version) keyman-config-$(shell cat /tmp/keyman_version) && \
		tar cfz keyman-config_$(shell cat /tmp/keyman_version).orig.tar.gz keyman-config-$(shell cat /tmp/keyman_version) && \
		cd keyman-config-$(shell cat /tmp/keyman_version) && cp -a ../../debian . && dch -v$(shell cat /tmp/keyman_version)-1 ""
	cd make_deb/keyman-config-$(shell cat /tmp/keyman_version) && debuild -us -uc
	rm /tmp/keyman_version

man:
	./build-help.sh --man --no-reconf

version:
	cd .. && ./scripts/reconf.sh keyman-config
	$(eval VERSION := $(shell python3 -c "from keyman_config import __releaseversion__; print(__releaseversion__)"))

# i18n

POFILES := $(shell find locale -name \*.po)
MOFILES := $(POFILES:.po=/LC_MESSAGES/keyman-config.mo)

update-template: version
	xgettext --package-name "keyman" --package-version "$(VERSION)" \
		--msgid-bugs-address "<support@keyman.com>" --copyright-holder "SIL International" \
		--language=Python --directory=. --output-dir=locale --output=keyman-config.pot \
		--add-comments=i18n: --sort-by-file --width=98 \
		keyman_config/*.py km-*

update-po: $(POFILES)

locale/%.po: locale/keyman-config.pot
	msgmerge --update --width=98 $@ $^

$(MOFILES): %/LC_MESSAGES/keyman-config.mo: %.po
	mkdir -p $(dir $@)
	msgfmt -v --check --output-file=$@ $^

compile-po: $(MOFILES)

check:
	./run-tests.sh

=== debian/changelog ===
keyman (15.0.269-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 29 Aug 2022 15:14:16 +0200

keyman (15.0.268-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 05 Aug 2022 17:31:36 +0200

=== debian/control ===
Source: keyman
Section: text
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Keyman team <support@keyman.com>,
 Eberhard Beilharz <eb1@sil.org>,
Build-Depends:
 bash-completion,
 debhelper (>= 11),
 dh-python,
 gir1.2-webkit2-4.0,
 ibus,
 liblocale-gettext-perl,
 perl,
 python3-all (>= 3.5),
 python3-dbus,
 python3-gi,
 python3-lxml,
 python3-magic,
 python3-numpy,
 python3-pil,
 python3-pip,
 python3-qrcode,
 python3-sentry-sdk (>= 1.1) | python3-raven,
 python3-requests,
 python3-requests-cache,
 python3-setuptools,
 meson (>= 0.45),
 ninja-build,
 libgtk-3-dev,
 libibus-1.0-dev (>= 1.2),
 libjson-glib-dev (>= 1.4.0),
 pkg-config,
 xserver-xephyr,
 xvfb,
 metacity,
 gawk,
Standards-Version: 4.6.0
Vcs-Git: https://github.com/keymanapp/keyman.git
Vcs-Browser: https://github.com/keymanapp/keyman
Homepage: https://www.keyman.com
Rules-Requires-Root: binary-targets

Package: keyman
Architecture: all
Depends:
 libglib2.0-bin,
 python3-keyman-config (= ${binary:Version}),
 ibus-keyman (>= ${binary:Version}),
 ibus-keyman (<< ${binary:Version}.1~),
 ${misc:Depends},
Recommends:
 onboard-keyman,
Description: Type in your language with Keyman for Linux
 Keyman makes it possible for you to type in over 2,000 languages on Windows,
 macOS, Linux, iPhone, iPad, Android tablets and phones, and even instantly
 in your web browser. With the world’s most powerful keyboarding engine,
 intuitive and rapid text input is now possible in your language, and for
 over 99% of the global population’s mother tongues!
 .
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 Install, uninstall and view information about Keyman keyboard
 packages.
 .
 This package depends on all that is needed for using Keyman
 for Linux.

Package: python3-keyman-config
Section: python
Architecture: all
Depends:
 dconf-cli,
 gir1.2-webkit2-4.0,
 keyman-engine,
 python3-bs4,
 python3-gi,
 python3-sentry-sdk (>= 1.1) | python3-raven,
 ${misc:Depends},
 ${python3:Depends},
Description: Keyman for Linux configuration
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 This package contains the Python module to install, uninstall and view
 information about Keyman keyboard packages.

Package: libkmnkbp-dev
Architecture: any
Section: libdevel
Depends:
 libkmnkbp0-0 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Development files for Keyman keyboard processing library
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard layout
 for their language. Keyman is available for many platforms, including Windows,
 macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 The Keyman keyboardprocessor library processes input from input method engines
 and applies rules from compiled Keyman keyboard files.
 .
 This package contains development headers and libraries.

Package: libkmnkbp0-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 keyman,
Multi-Arch: same
Description: Keyman keyboard processing library
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard layout
 for their language. Keyman is available for many platforms, including Windows,
 macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 The Keyman keyboardprocessor library processes input from input method engines
 and applies rules from compiled Keyman keyboard files.

Package: ibus-keyman
Architecture: any
Depends:
 ibus (>= 1.3.7),
 sudo,
 libkmnkbp0-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 keyman-engine
Description: Keyman engine for IBus
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 ibus-keyman is a IM (input method) Engine for multiple languages, based on
 IBus.
 .
 This package provides the Keyman IM engine for IBus. With this module, you
 can use keyboard layouts designed for Keyman under the IBus platform.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 export PYBUILD_NAME=keyman-config
 export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/keyman-config/
+
+export KEYMAN_PKG_BUILD=1
 
 # xenial needs this to be explicit
 export LC_ALL=C.UTF-8

## keyman 15.0.273

=== debian/changelog ===
keyman (15.0.273-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 28 Nov 2022 12:31:29 +0100

keyman (15.0.272-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 10 Nov 2022 17:37:24 +0100

keyman (15.0.271-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 19 Oct 2022 16:15:33 +0200

keyman (15.0.270-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 13 Sep 2022 11:20:25 +0200

## keyman 15.0.274

=== debian/changelog ===
keyman (15.0.274-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 01 Dec 2022 20:41:32 +0100

## keyman 16.0.138

=== linux/Makefile ===
#!/usr/bin/make

default: # builds only
	BUILDONLY="yes" ./scripts/build.sh

clean:
	rm -rf build-*

reconf: clean
	./scripts/reconf.sh

configure:
	CONFIGUREONLY="yes" ./scripts/build.sh

fullbuild: # configure and build
	./scripts/build.sh

tmpinstall: reconf
	INSTALLDIR="/tmp/kmfl" ./scripts/build.sh
	INSTALLDIR="/tmp/kmfl" ./scripts/install.sh

install: # run as sudo
	SUDOINSTALL="yes" ./scripts/install.sh

uninstall: # run as sudo
	SUDOINSTALL="uninstall" ./scripts/install.sh

debnocow:
	./scripts/deb.sh

sources:
	./scripts/dist.sh

tmpsources:
	PKG_CONFIG_PATH="../keyboardprocessor/arch/release/meson-private" ./scripts/dist.sh

origdist:
	./scripts/dist.sh origdist

sourcepackage: reconf origdist
	./scripts/deb.sh sourcepackage

cow: # it will prompt for sudo if required for cowbuilder
	./scripts/cow.sh

deb: reconf origdist cow debnocow # it will prompt for sudo if required for cowbuilder
	echo "Built dev Debian packages in builddebs/"

releasedeb: reconf origdist cow debnocow # it will prompt for sudo if required for cowbuilder
	echo "Built release Debian packages in builddebs/"

nightlydist: reconf sources
	echo "Built nightly source release in dist/"

check:
	cd keyman-config && ./run-tests.sh
	cd ibus-keyman && make check

tmpcheck:
	cd keyman-config && ./run-tests.sh
	cd build-ibus-keyman && make check

tests: check

=== linux/keyman-config/Makefile ===
--- 
+++ 
@@ -8,17 +8,20 @@
 
 install: # run as sudo
 	pip3 install qrcode sentry-sdk
+	# eventually change this to: pip3 install .
 	python3 setup.py install
 	# install icons
 	mkdir -p /usr/local/share/keyman/icons
 	cp keyman_config/icons/* /usr/local/share/keyman/icons
 	# install man pages
 	mkdir -p /usr/local/share/man/man1
-	cp debian/man/*.1 /usr/local/share/man/man1
+	cp ../../debian/man/*.1 /usr/local/share/man/man1
 
 install-temp:
-	mkdir -p /tmp/kmfl/`python3 -c 'import sys;import os;pythonver="python%d.%d" % (sys.version_info[0], sys.version_info[1]);sitedir = os.path.join("lib", pythonver, "site-packages");print(sitedir)'`
-	PYTHONUSERBASE=/tmp/kmfl python3 setup.py install --user
+	mkdir -p /tmp/keyman/$(shell python3 -c 'import sys;import os;pythonver="python%d.%d" % (sys.version_info[0], sys.version_info[1]);sitedir = os.path.join("lib", pythonver, "site-packages");print(sitedir)')
+	# when we no longer have to support old pip version (python > 3.6) change this to:
+	# pip3 install --prefix /tmp/keyman .
+	PYTHONUSERBASE=/tmp/keyman python3 setup.py install --user
 
 uninstall: clean # run as sudo
 	rm -rf /usr/local/share/keyman/icons
@@ -48,15 +51,17 @@
 	cd make_deb && tar xf ../dist/keyman_config-$(shell cat /tmp/keyman_version).tar.gz && \
 		mv keyman_config-$(shell cat /tmp/keyman_version) keyman-config-$(shell cat /tmp/keyman_version) && \
 		tar cfz keyman-config_$(shell cat /tmp/keyman_version).orig.tar.gz keyman-config-$(shell cat /tmp/keyman_version) && \
-		cd keyman-config-$(shell cat /tmp/keyman_version) && cp -a ../../debian . && dch -v$(shell cat /tmp/keyman_version)-1 ""
+		cd keyman-config-$(shell cat /tmp/keyman_version) && cp -a ../../../debian . && dch -v$(shell cat /tmp/keyman_version)-1 ""
 	cd make_deb/keyman-config-$(shell cat /tmp/keyman_version) && debuild -us -uc
 	rm /tmp/keyman_version
 
 man:
 	./build-help.sh --man --no-reconf
 
-version:
+version_reconf:
 	cd .. && ./scripts/reconf.sh keyman-config
+
+version: version_reconf
 	$(eval VERSION := $(shell python3 -c "from keyman_config import __releaseversion__; print(__releaseversion__)"))
 
 # i18n

=== debian/changelog ===
keyman (16.0.138-4) unstable; urgency=medium

  * Team upload
  * debian/tests/control: Don't run autopkgtest on s390x

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 11 Feb 2023 18:39:13 +0100

keyman (16.0.138-3) unstable; urgency=medium

  * debian/tests/test-build: Fix autopkgtests

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 09 Feb 2023 12:18:47 +0100

keyman (16.0.138-2) unstable; urgency=medium

  * Team upload
  * debian/tests/control: Added missing autopkgtest dependency on
    pkg-config (closes: #1030815).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 07 Feb 2023 20:34:35 +0100

keyman (16.0.138-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Include packaging path in Vcs-Git header.

  [ Eberhard Beilharz ]
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 02 Feb 2023 10:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
  xvfb,
  metacity,
  gawk,
-Standards-Version: 4.6.0
-Vcs-Git: https://github.com/keymanapp/keyman.git
-Vcs-Browser: https://github.com/keymanapp/keyman
+Standards-Version: 4.6.1
+Vcs-Git: https://github.com/keymanapp/keyman.git -b stable-16.0 [linux/debian]
+Vcs-Browser: https://github.com/keymanapp/keyman/tree/stable-16.0/linux/debian
 Homepage: https://www.keyman.com
 Rules-Requires-Root: binary-targets
 
@@ -86,6 +86,7 @@
  python3-bs4,
  python3-gi,
  python3-sentry-sdk (>= 1.1) | python3-raven,
+ dbus-x11,
  ${misc:Depends},
  ${python3:Depends},
 Description: Keyman for Linux configuration

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 # xenial needs this to be explicit
 export LC_ALL=C.UTF-8
 
+include /usr/share/dpkg/pkg-info.mk
+
 # Unfortunately dh-python 3.20180325 (bionic) doesn't provide the virtual dh-sequence-python3
 # package, so we'll have to pass --with-python3 here
 %:
@@ -19,23 +21,23 @@
 
 override_dh_auto_configure:
 	# keymankeyboardprocessor
-	cd common/core/desktop && \
+	cd core && \
 		./build.sh configure -- --wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc \
 			--localstatedir=/var --libdir=lib/$(DEB_TARGET_MULTIARCH) \
 			--libexecdir=lib/$(DEB_TARGET_MULTIARCH)
 	# ibus-keyman
 	cd linux/ibus-keyman && \
 		cp -f ../../VERSION.md VERSION && \
-		export KEYMAN_PROC_CFLAGS="-I$(CURDIR)/common/core/desktop/build/arch/release/include -I$(CURDIR)/common/core/desktop/include" && \
-		export KEYMAN_PROC_LIBS="-L$(CURDIR)/common/core/desktop/build/arch/release/src -lkmnkbp0" && \
-		export PKG_CONFIG_PATH=$(CURDIR)/common/core/desktop/build/arch/release/meson-private && \
+		export KEYMAN_PROC_CFLAGS="-I$(CURDIR)/core/build/arch/release/include -I$(CURDIR)/common/include -I$(CURDIR)/core/include" && \
+		export KEYMAN_PROC_LIBS="-L$(CURDIR)/core/build/arch/release/src -lkmnkbp0" && \
+		export PKG_CONFIG_PATH=$(CURDIR)/core/build/arch/release/meson-private && \
 		./autogen.sh && \
 		./configure --prefix=/usr
 	# keyman-config
 
 override_dh_auto_build:
 	# keymankeyboardprocessor
-	cd common/core/desktop && ./build.sh build
+	cd core && ./build.sh build
 	# ibus-keyman
 	cd linux/ibus-keyman && make
 	# keyman-config
@@ -48,7 +50,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# keymankeyboardprocessor
-	cd common/core/desktop && ./build.sh tests
+	cd core && ./build.sh tests
 	# ibus-keyman
 	cd linux/ibus-keyman && make check VERBOSE=1
 	# keyman-config
@@ -58,7 +60,7 @@
 override_dh_auto_install:
 	# keymankeyboardprocessor
 	install -d $(CURDIR)/debian/tmp
-	cd common/core/desktop && DESTDIR=$(CURDIR)/debian/tmp ./build.sh install
+	cd core && DESTDIR=$(CURDIR)/debian/tmp ./build.sh install
 	# ibus-keyman
 	cd linux/ibus-keyman && make install DESTDIR=$(CURDIR)/debian/tmp
 	# keyman-config

=== debian/tests/control ===
Tests: test-build
Depends: @,
 build-essential,
 pkg-config,
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64

## keyman 16.0.139

=== debian/changelog ===
keyman (16.0.139-3) unstable; urgency=medium

  * debian/tests: Run autopkgtests on s390x but immediately return

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 22 Mar 2023 19:25:02 +0100

keyman (16.0.139-2) unstable; urgency=medium

  * Don't build on s390x because Keyman doesn't work on big-endian architectures
    (upstream bug https://github.com/keymanapp/keyman/issues/5111)

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 20 Mar 2023 19:54:44 +0100

keyman (16.0.139-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 16 Mar 2023 08:59:04 +0100

=== debian/tests/control ===
Tests: test-build
Depends: @,
 build-essential,
 pkg-config,
Architecture: any

## keyman 16.0.140

=== debian/changelog ===
keyman (16.0.140-1) unstable; urgency=medium

  * New upstream release (closes: #1037707).
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 24 Jul 2023 11:41:07 +0200

keyman (16.0.139-4) unstable; urgency=medium

  * debian/tests: Revert previous change and ignore s390x from autopkgtests

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 24 Mar 2023 16:05:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	# keyman-config
 
 override_dh_auto_build:
+	cp linux/keyman-config/resources/keyman.sharedmimeinfo debian/
 	# keymankeyboardprocessor
 	cd core && ./build.sh build
 	# ibus-keyman

## keyman 16.0.141

=== debian/changelog ===
keyman (16.0.141-1) unstable; urgency=medium

  * Work around mips64el build failure (#1041499)
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 27 Jul 2023 16:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -105,7 +105,7 @@
  information about Keyman keyboard packages.
 
 Package: libkmnkbp-dev
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64
 Section: libdevel
 Depends:
  libkmnkbp0-0 (= ${binary:Version}),
@@ -129,7 +129,7 @@
  This package contains development headers and libraries.
 
 Package: libkmnkbp0-0
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64
 Section: libs
 Pre-Depends:
  ${misc:Pre-Depends},
@@ -155,7 +155,7 @@
  and applies rules from compiled Keyman keyboard files.
 
 Package: ibus-keyman
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64
 Depends:
  ibus (>= 1.3.7),
  sudo,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,19 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
+# Workaround for https://bugs.debian.org/1041499 and
+# https://github.com/mesonbuild/meson/issues/12017
+# --native-file got added in Meson 0.49, so we check for that version here
+MESON_049_OR_HIGHER := $(shell expr `meson --version | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 04900)
+
+configure_options :=
+
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+ifeq ($(MESON_049_OR_HIGHER), 1)
+configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
+endif
+endif
+
 # Unfortunately dh-python 3.20180325 (bionic) doesn't provide the virtual dh-sequence-python3
 # package, so we'll have to pass --with-python3 here
 %:
@@ -24,7 +37,7 @@
 	cd core && \
 		./build.sh configure -- --wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc \
 			--localstatedir=/var --libdir=lib/$(DEB_TARGET_MULTIARCH) \
-			--libexecdir=lib/$(DEB_TARGET_MULTIARCH)
+			--libexecdir=lib/$(DEB_TARGET_MULTIARCH) $(configure_options)
 	# ibus-keyman
 	cd linux/ibus-keyman && \
 		cp -f ../../VERSION.md VERSION && \

## keyman 16.0.144

=== linux/keyman-config/Makefile ===
--- 
+++ 
@@ -35,8 +35,9 @@
 	rm -f /usr/local/bin/km-package-uninstall
 
 clean:
-	-rm -rf dist make_deb build keyman_config/version.py *.egg-info __pycache__ \
-		keyman_config/standards/lang_tags_map.py
+	-rm -rf dist make_deb build *.egg-info keyman_config/version.py
+	-find . \( -name __pycache__ -o -name keyman-config.mo \) -exec rm -rf {} +
+	-[ -z "$(KEYMAN_PKG_BUILD)" ] && rm -rf keyman_config/standards/lang_tags_map.py
 
 devdist: version
 	python3 setup.py egg_info -b.`TZ=UTC git log -1 --pretty=format:%cd --date=format-local:%Y%m%d%H%M` sdist

=== debian/changelog ===
keyman (16.0.144-1) unstable; urgency=medium

  [Dandan Zhang]
  * Add support for loong64 (closes: #1057134)

  [Eberhard Beilharz]
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 01 Dec 2023 14:59:28 +0100

keyman (16.0.143-1) unstable; urgency=medium

  * Fix failure to build source after successful build (Closes #1046776)
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 22 Nov 2023 15:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -105,7 +105,7 @@
  information about Keyman keyboard packages.
 
 Package: libkmnkbp-dev
-Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64
+Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
 Section: libdevel
 Depends:
  libkmnkbp0-0 (= ${binary:Version}),
@@ -129,7 +129,7 @@
  This package contains development headers and libraries.
 
 Package: libkmnkbp0-0
-Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64
+Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
 Section: libs
 Pre-Depends:
  ${misc:Pre-Depends},
@@ -155,7 +155,7 @@
  and applies rules from compiled Keyman keyboard files.
 
 Package: ibus-keyman
-Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64
+Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
 Depends:
  ibus (>= 1.3.7),
  sudo,

=== debian/rules ===
--- 
+++ 
@@ -14,19 +14,6 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-# Workaround for https://bugs.debian.org/1041499 and
-# https://github.com/mesonbuild/meson/issues/12017
-# --native-file got added in Meson 0.49, so we check for that version here
-MESON_049_OR_HIGHER := $(shell expr `meson --version | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 04900)
-
-configure_options :=
-
-ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
-ifeq ($(MESON_049_OR_HIGHER), 1)
-configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
-endif
-endif
-
 # Unfortunately dh-python 3.20180325 (bionic) doesn't provide the virtual dh-sequence-python3
 # package, so we'll have to pass --with-python3 here
 %:
@@ -37,7 +24,7 @@
 	cd core && \
 		./build.sh configure -- --wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc \
 			--localstatedir=/var --libdir=lib/$(DEB_TARGET_MULTIARCH) \
-			--libexecdir=lib/$(DEB_TARGET_MULTIARCH) $(configure_options)
+			--libexecdir=lib/$(DEB_TARGET_MULTIARCH)
 	# ibus-keyman
 	cd linux/ibus-keyman && \
 		cp -f ../../VERSION.md VERSION && \
@@ -56,6 +43,7 @@
 	cd linux/ibus-keyman && make
 	# keyman-config
 	cd linux/keyman-config && \
+		./version.sh && \
 		make man && \
 		sed -i -e "s/^__pkgversion__ = \"[^\"]*\"/__pkgversion__ = \"$(DEB_VERSION)\"/g" keyman_config/version.py && \
 		make compile-po
@@ -90,3 +78,11 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_auto_clean:
+	cd core && ./build.sh clean
+	cd linux/ibus-keyman && make distclean || true
+	rm -f linux/ibus-keyman/VERSION
+	cd linux/keyman-config && make clean
+	rm -rf .pybuild/
+	dh_auto_clean $@

## keyman 16.0.145

=== debian/changelog ===
keyman (16.0.145-1) unstable; urgency=medium

  [Jeremy Bicha]
  * Build with webkitgtk 4.1 instead of 4.0  (closes: #1061396)
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 01 Feb 2024 12:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  bash-completion,
  debhelper (>= 11),
  dh-python,
- gir1.2-webkit2-4.0,
+ gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
  ibus,
  liblocale-gettext-perl,
  perl,
@@ -81,7 +81,7 @@
 Architecture: all
 Depends:
  dconf-cli,
- gir1.2-webkit2-4.0,
+ gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
  keyman-engine,
  python3-bs4,
  python3-gi,

## keyman 17.0.279

=== debian/changelog ===
keyman (17.0.279-1) unstable; urgency=medium

  * Add libicu-dev dependency to libkeymancore-dev (closes: #1064915)
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 29 Feb 2024 19:17:08 +0100

keyman (17.0.274-1) unstable; urgency=medium

  * Fix autopkg tests
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 23 Feb 2024 15:45:13 +0100

keyman (17.0.272-1) unstable; urgency=medium

  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 21 Feb 2024 16:36:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,23 @@
  Eberhard Beilharz <eb1@sil.org>,
 Build-Depends:
  bash-completion,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
+ gawk,
  gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
  ibus,
+ libevdev-dev,
+ libgtk-3-dev,
+ libibus-1.0-dev (>= 1.2),
+ libicu-dev,
+ libjson-glib-dev (>= 1.4.0),
  liblocale-gettext-perl,
+ libsystemd-dev,
+ meson (>= 0.53),
+ metacity,
+ ninja-build,
  perl,
+ pkg-config,
  python3-all (>= 3.5),
  python3-dbus,
  python3-gi,
@@ -22,23 +33,15 @@
  python3-pil,
  python3-pip,
  python3-qrcode,
- python3-sentry-sdk (>= 1.1) | python3-raven,
+ python3-requests-cache,
  python3-requests,
- python3-requests-cache,
+ python3-sentry-sdk (>= 1.1),
  python3-setuptools,
- meson (>= 0.45),
- ninja-build,
- libgtk-3-dev,
- libibus-1.0-dev (>= 1.2),
- libjson-glib-dev (>= 1.4.0),
- pkg-config,
  xserver-xephyr,
  xvfb,
- metacity,
- gawk,
-Standards-Version: 4.6.1
-Vcs-Git: https://github.com/keymanapp/keyman.git -b stable-16.0 [linux/debian]
-Vcs-Browser: https://github.com/keymanapp/keyman/tree/stable-16.0/linux/debian
+Standards-Version: 4.6.2
+Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
+Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
 Homepage: https://www.keyman.com
 Rules-Requires-Root: binary-targets
 
@@ -55,9 +58,9 @@
 Description: Type in your language with Keyman for Linux
  Keyman makes it possible for you to type in over 2,000 languages on Windows,
  macOS, Linux, iPhone, iPad, Android tablets and phones, and even instantly
- in your web browser. With the world’s most powerful keyboarding engine,
+ in your web browser. With the world's most powerful keyboarding engine,
  intuitive and rapid text input is now possible in your language, and for
- over 99% of the global population’s mother tongues!
+ over 99% of the global population's mother tongues!
  .
  Originally created in 1993 to type Lao on Windows, Keyman is now a free and
  open source keyboarding platform which allows anyone to write a keyboard
@@ -85,7 +88,7 @@
  keyman-engine,
  python3-bs4,
  python3-gi,
- python3-sentry-sdk (>= 1.1) | python3-raven,
+ python3-sentry-sdk (>= 1.1),
  dbus-x11,
  ${misc:Depends},
  ${python3:Depends},
@@ -104,12 +107,15 @@
  This package contains the Python module to install, uninstall and view
  information about Keyman keyboard packages.
 
-Package: libkmnkbp-dev
+Package: libkeymancore-dev
 Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
 Section: libdevel
 Depends:
- libkmnkbp0-0 (= ${binary:Version}),
- ${misc:Depends},
+ libicu-dev,
+ libkeymancore1 (= ${binary:Version}),
+ ${misc:Depends},
+Conflicts: libkmnkbp-dev
+Replaces: libkmnkbp-dev
 Multi-Arch: same
 Description: Development files for Keyman keyboard processing library
  Originally created in 1993 to type Lao on Windows, Keyman is now a free and
@@ -123,12 +129,12 @@
  Keyboard layouts are distributed through an open catalog to all major desktop
  and mobile platforms.
  .
- The Keyman keyboardprocessor library processes input from input method engines
+ The Keyman core library processes input from input method engines
  and applies rules from compiled Keyman keyboard files.
  .
  This package contains development headers and libraries.
 
-Package: libkmnkbp0-0
+Package: libkeymancore1
 Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
 Section: libs
 Pre-Depends:
@@ -138,6 +144,8 @@
  ${shlibs:Depends},
 Suggests:
  keyman,
+Conflicts: libkmnkbp0-0
+Replaces: libkmnkbp0-0
 Multi-Arch: same
 Description: Keyman keyboard processing library
  Originally created in 1993 to type Lao on Windows, Keyman is now a free and
@@ -151,15 +159,15 @@
  Keyboard layouts are distributed through an open catalog to all major desktop
  and mobile platforms.
  .
- The Keyman keyboardprocessor library processes input from input method engines
+ The Keyman core library processes input from input method engines
  and applies rules from compiled Keyman keyboard files.
 
 Package: ibus-keyman
 Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
 Depends:
  ibus (>= 1.3.7),
- sudo,
- libkmnkbp0-0 (= ${binary:Version}),
+ libkeymancore1 (= ${binary:Version}),
+ keyman-system-service (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
@@ -181,3 +189,24 @@
  .
  This package provides the Keyman IM engine for IBus. With this module, you
  can use keyboard layouts designed for Keyman under the IBus platform.
+
+Package: keyman-system-service
+Architecture: any
+Depends:
+  libevdev2,
+  ${misc:Depends},
+  ${shlibs:Depends},
+Description: System service for Keyman
+ Originally created in 1993 to type Lao on Windows, Keyman is now a free and
+ open source keyboarding platform which allows anyone to write a keyboard
+ layout for their language. Keyman is available for many platforms, including
+ Windows, macOS, iOS, Android, Linux and the web.
+ .
+ Keyboard layouts are defined with a clear and easy to understand keyboard
+ grammar. Keyman's contextual input model means keyboard layouts can be
+ intelligent and make it simple to type even the most complex languages.
+ Keyboard layouts are distributed through an open catalog to all major desktop
+ and mobile platforms.
+ .
+ This package provides a DBus/systemd system service as a helper for
+ running Keyman with Wayland.

## keyman 17.0.295

=== linux/keyman-config/Makefile ===
#!/usr/bin/make

default:
	./build.sh clean build

install:
	./build.sh install

uninstall: # run as sudo
	./build.sh uninstall

clean:
	./build.sh clean

check:
	./build.sh test

devdist: version
	python3 setup.py egg_info -b.`TZ=UTC git log -1 --pretty=format:%cd --date=format-local:%Y%m%d%H%M` sdist

dist: clean version
	python3 setup.py sdist

deb: dist
	@VERSION=$(shell echo `basename dist/*.gz .tar.gz|cut -d "-" -f2` > /tmp/keyman_version)
	@echo VERSION is $(shell cat /tmp/keyman_version)
	@mkdir -p make_deb
	cd make_deb && tar xf ../dist/keyman_config-$(shell cat /tmp/keyman_version).tar.gz && \
		mv keyman_config-$(shell cat /tmp/keyman_version) keyman-config-$(shell cat /tmp/keyman_version) && \
		tar cfz keyman-config_$(shell cat /tmp/keyman_version).orig.tar.gz keyman-config-$(shell cat /tmp/keyman_version) && \
		cd keyman-config-$(shell cat /tmp/keyman_version) && cp -a ../../../debian . && dch -v$(shell cat /tmp/keyman_version)-1 ""
	cd make_deb/keyman-config-$(shell cat /tmp/keyman_version) && debuild -us -uc
	rm /tmp/keyman_version

man:
	./build-help.sh --man --no-reconf

version_reconf:
	cd .. && ./scripts/reconf.sh

version: version_reconf
	$(eval VERSION := $(shell python3 -c "from keyman_config import __releaseversion__; print(__releaseversion__)"))

# i18n

POFILES := $(shell find locale -name \*.po)
MOFILES := $(POFILES:.po=/LC_MESSAGES/keyman-config.mo)

update-template: version
	xgettext --package-name "keyman" --package-version "$(VERSION)" \
		--msgid-bugs-address "<support@keyman.com>" --copyright-holder "SIL International" \
		--language=Python --directory=. --output-dir=locale --output=keyman-config.pot \
		--add-comments=i18n: --sort-by-file --width=98 \
		keyman_config/*.py km-*

update-po: $(POFILES)

locale/%.po: locale/keyman-config.pot
	msgmerge --update --width=98 $@ $^

$(MOFILES): %/LC_MESSAGES/keyman-config.mo: %.po
	mkdir -p $(dir $@)
	msgfmt -v --check --output-file=$@ $^

compile-po: $(MOFILES)

=== debian/changelog ===
keyman (17.0.295-1) unstable; urgency=medium

  * Remove ibus-keyman.post{inst,rm} (closes: #1034040)
  * New upstream release.
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 27 Mar 2024 17:14:32 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  python3-lxml,
  python3-magic,
  python3-numpy,
+ python3-packaging,
  python3-pil,
  python3-pip,
  python3-qrcode,
@@ -37,6 +38,7 @@
  python3-requests,
  python3-sentry-sdk (>= 1.1),
  python3-setuptools,
+ python3-xdg,
  xserver-xephyr,
  xvfb,
 Standards-Version: 4.6.2
@@ -83,13 +85,15 @@
 Section: python
 Architecture: all
 Depends:
+ dbus-x11,
  dconf-cli,
  gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
  keyman-engine,
  python3-bs4,
  python3-gi,
+ python3-packaging,
  python3-sentry-sdk (>= 1.1),
- dbus-x11,
+ python3-xdg,
  ${misc:Depends},
  ${python3:Depends},
 Description: Keyman for Linux configuration
@@ -144,8 +148,8 @@
  ${shlibs:Depends},
 Suggests:
  keyman,
-Conflicts: libkmnkbp0-0
-Replaces: libkmnkbp0-0
+Conflicts: libkmnkbp0-0, libkeymancore
+Replaces: libkmnkbp0-0, libkeymancore
 Multi-Arch: same
 Description: Keyman keyboard processing library
  Originally created in 1993 to type Lao on Windows, Keyman is now a free and

## keyman 17.0.326

=== debian/changelog ===
keyman (17.0.326-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 03 Jun 2024 21:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  metacity,
  ninja-build,
  perl,
- pkg-config,
+ pkgconf,
  python3-all (>= 3.5),
  python3-dbus,
  python3-gi,
@@ -41,9 +41,9 @@
  python3-xdg,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.6.2
-Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
-Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
+Standards-Version: 4.7.0
+Vcs-Git: https://github.com/keymanapp/keyman.git -b stable-17.0 [linux/debian]
+Vcs-Browser: https://github.com/keymanapp/keyman/tree/stable-17.0/linux/debian
 Homepage: https://www.keyman.com
 Rules-Requires-Root: binary-targets

## keyman 17.0.332

=== linux/Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	./scripts/build.sh
 
 tmpinstall: reconf
-	INSTALLDIR="/tmp/kmfl" ./scripts/build.sh
-	INSTALLDIR="/tmp/kmfl" ./scripts/install.sh
+	INSTALLDIR="/tmp/keyman" ./scripts/build.sh
+	INSTALLDIR="/tmp/keyman" ./scripts/install.sh
 
 install: # run as sudo
 	SUDOINSTALL="yes" ./scripts/install.sh
@@ -32,7 +32,7 @@
 	./scripts/dist.sh
 
 tmpsources:
-	PKG_CONFIG_PATH="../keyboardprocessor/arch/release/meson-private" ./scripts/dist.sh
+	PKG_CONFIG_PATH="../../core/build/arch/release/meson-private" ./scripts/dist.sh
 
 origdist:
 	./scripts/dist.sh origdist
@@ -54,10 +54,8 @@
 
 check:
 	cd keyman-config && ./run-tests.sh
-	cd ibus-keyman && make check
+	cd ibus-keyman && ./build.sh test
 
-tmpcheck:
-	cd keyman-config && ./run-tests.sh
-	cd build-ibus-keyman && make check
+tmpcheck: check
 
 tests: check

=== debian/changelog ===
keyman (17.0.332-1ubuntu1) plucky; urgency=medium

  * Build with -std=c++17.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 12:11:36 +0100

keyman (17.0.332-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:36:49 +0100

keyman (17.0.332-1) unstable; urgency=medium

  * set environment variable for rendering of downloads dialog (#12617)
  * add `keymanFacename` to .ldml file (#12283)
  * ignore exceptions trying to install cache (#11885)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 11 Dec 2024 15:53:59 +0100

## keyman 17.0.333

=== debian/changelog ===
keyman (17.0.333-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 16 Jan 2025 16:29:44 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  pkgconf,
  python3-all (>= 3.5),
  python3-dbus,
+ python3-fonttools,
  python3-gi,
  python3-lxml,
  python3-magic,
@@ -90,6 +91,7 @@
  gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
  keyman-engine,
  python3-bs4,
+ python3-fonttools,
  python3-gi,
  python3-packaging,
  python3-sentry-sdk (>= 1.1),

## keyman 17.0.334

=== debian/changelog ===
keyman (17.0.334-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 28 Jan 2025 16:52:06 +0100

## keyman 17.0.335

=== linux/keyman-config/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 update-template: version
 	xgettext --package-name "keyman" --package-version "$(VERSION)" \
-		--msgid-bugs-address "<support@keyman.com>" --copyright-holder "SIL International" \
+		--msgid-bugs-address "<support@keyman.com>" --copyright-holder "SIL Global" \
 		--language=Python --directory=. --output-dir=locale --output=keyman-config.pot \
 		--add-comments=i18n: --sort-by-file --width=98 \
 		keyman_config/*.py km-*

=== debian/changelog ===
keyman (17.0.335-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 06 Feb 2025 10:33:00 +0100
